Bug 254232 - net/asterisk18: added group to asterisk.in
Summary: net/asterisk18: added group to asterisk.in
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guido Falsi
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-03-12 07:44 UTC by Boris Korzun
Modified: 2021-03-15 22:33 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+


Attachments
asterisk.in.diff (1.76 KB, patch)
2021-03-12 07:44 UTC, Boris Korzun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Korzun 2021-03-12 07:44:42 UTC
Created attachment 223199 [details]
asterisk.in.diff

There's no a group in the asterisk rc-script.
Suggested patch adds an asterisk_group var to the script.
Comment 1 Guido Falsi freebsd_committer 2021-03-14 20:59:24 UTC
Thanks for the patch.

Let me test it a little, but it looks good.
Comment 2 commit-hook freebsd_committer 2021-03-15 22:22:28 UTC
A commit references this bug:

Author: madpilot
Date: Mon Mar 15 22:21:55 UTC 2021
New revision: 568513
URL: https://svnweb.freebsd.org/changeset/ports/568513

Log:
  - Add variable to configure group owner for asterisk runtime directory
    creation in startup script
  - Correct order of variables

  PR:		254232
  SUbmitted by:	Boris Korzun <drtr0jan@yandex.ru>

Changes:
  head/net/asterisk13/Makefile
  head/net/asterisk13/files/asterisk.in
Comment 3 commit-hook freebsd_committer 2021-03-15 22:22:29 UTC
A commit references this bug:

Author: madpilot
Date: Mon Mar 15 22:22:11 UTC 2021
New revision: 568514
URL: https://svnweb.freebsd.org/changeset/ports/568514

Log:
  - Add variable to configure group owner for asterisk runtime directory
    creation in startup script
  - Correct order of variables

  PR:		254232
  SUbmitted by:	Boris Korzun <drtr0jan@yandex.ru>

Changes:
  head/net/asterisk16/Makefile
  head/net/asterisk16/files/asterisk.in
Comment 4 commit-hook freebsd_committer 2021-03-15 22:22:30 UTC
A commit references this bug:

Author: madpilot
Date: Mon Mar 15 22:22:21 UTC 2021
New revision: 568515
URL: https://svnweb.freebsd.org/changeset/ports/568515

Log:
  - Add variable to configure group owner for asterisk runtime directory
    creation in startup script
  - Correct order of variables

  PR:		254232
  SUbmitted by:	Boris Korzun <drtr0jan@yandex.ru>

Changes:
  head/net/asterisk18/Makefile
  head/net/asterisk18/files/asterisk.in
Comment 5 Guido Falsi freebsd_committer 2021-03-15 22:33:07 UTC
Committed. Thanks!